import Foundation

final class LocalizedAudioPlayerSettings: ObservableObject {

    @Published
    var playlistText: String

    init(playlistText: String) {
        self.playlistText = playlistText
    }

    init(file: LocalizedAudioPlayerSettingsFile) {
        self.playlistText = file.playlistText
    }

    var file: LocalizedAudioPlayerSettingsFile {
        .init(playlistText: playlistText)
    }
}
