import Foundation

final class LocalizedPageSettings: ObservableObject {

    /// The title to show for the box on an empty page
    @Published
    var emptyPageTitle: String

    /// The text to show in the box on an empty page
    @Published
    var emptyPageText: String

    init(emptyPageTitle: String, emptyPageText: String) {
        self.emptyPageTitle = emptyPageTitle
        self.emptyPageText = emptyPageText
    }

    init(file: LocalizedPageSettingsFile) {
        self.emptyPageTitle = file.emptyPageTitle
        self.emptyPageText = file.emptyPageText
    }

    var file: LocalizedPageSettingsFile {
        .init(emptyPageTitle: emptyPageTitle,
              emptyPageText: emptyPageText)
    }
}
